### Method

# Gtk Gridquery_child

#### Declaration [src]

    void
    gtk_grid_query_child (
      GtkGrid* grid,
      GtkWidget* child,
      int* column,
      int* row,
      int* width,
      int* height
    )

#### Description [src]

Queries the attach points and spans of `child` inside the given `GtkGrid`.

#### Parameters

`child`

  Type: `GtkWidget`

  A `GtkWidget` child of `grid`.

  The data is owned by the caller of the method.

`column`

  Type: `int*`

  The column used to attach the left side of `child`.

  The argument will be set by the function.
  The argument can be `NULL`.

`row`

  Type: `int*`

  The row used to attach the top side of `child`.

  The argument will be set by the function.
  The argument can be `NULL`.

`width`

  Type: `int*`

  The number of columns `child` spans.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `int*`

  The number of rows `child` spans.

  The argument will be set by the function.
  The argument can be `NULL`.